Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.annotation
Class AnnotatedSourceKey

    java.lang.Object
      unity.annotation.SourceKey
          unity.annotation.AnnotatedSourceKey

    public class AnnotatedSourceKey

extends SourceKey

Constructor Summary
`AnnotatedSourceKey()`
`AnnotatedSourceKey(java.util.ArrayList newKey, int type, java.lang.String name)`
`AnnotatedSourceKey(SourceTable table)`
`AnnotatedSourceKey(SourceTable table, java.util.ArrayList newKey, int type, java.lang.String name)`

Method Summary
`int` | `getScope()`
`java.lang.String` | `getScopeName()`
`void` | `importXML(org.w3c.dom.Node x, java.util.HashMap sourceFields)`
`java.lang.String` | `toString()`
`java.lang.String` | `toXML()`

Methods inherited from class unity.annotation.SourceKey
`addField, getFields, getKeyType, getName, getTable, keyTypeToXML, matchKeyFields, setKeyType, setName, setTable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotatedSourceKey

    public AnnotatedSourceKey()

### AnnotatedSourceKey

    public AnnotatedSourceKey(SourceTable table)

### AnnotatedSourceKey

    public AnnotatedSourceKey(java.util.ArrayList newKey,
                              int type,
                              java.lang.String name)

### AnnotatedSourceKey

    public AnnotatedSourceKey(SourceTable table,
                              java.util.ArrayList newKey,
                              int type,
                              java.lang.String name)

Method Detail

### getScope

    public int getScope()

### getScopeName

    public java.lang.String getScopeName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SourceKey`

### toXML

    public java.lang.String toXML()

  Overrides:
    `toXML` in class `SourceKey`

### importXML

    public void importXML(org.w3c.dom.Node x,
                          java.util.HashMap sourceFields)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD